gwenthread.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/list1.h>`
`#include <inttypes.h>`

Go to the source code of this file.

## Macros

#define | GWEN_THREAD_FLAGS_DETACHED 0x00000001

## Typedefs

typedef struct GWEN_THREAD | GWEN_THREAD
typedef GWENHYWFAR_CB void(* | GWEN_THREAD_RUN_FN) (GWEN_THREAD *thr)

## Functions

GWENHYWFAR_API void | GWEN_Thread_AddFlags (GWEN_THREAD *thr, uint32_t flags)
GWENHYWFAR_API void | GWEN_Thread_free (GWEN_THREAD *thr)
GWENHYWFAR_API uint32_t | GWEN_Thread_GetFlags (const GWEN_THREAD *thr)
GWENHYWFAR_API int | GWEN_Thread_Join (GWEN_THREAD *thr)
GWENHYWFAR_API GWEN_THREAD * | GWEN_Thread_new ()
GWENHYWFAR_API void | GWEN_Thread_SetFlags (GWEN_THREAD *thr, uint32_t flags)
GWENHYWFAR_API GWEN_THREAD_RUN_FN | GWEN_Thread_SetRunFn (GWEN_THREAD *thr, GWEN_THREAD_RUN_FN fn)
GWENHYWFAR_API int | GWEN_Thread_Start (GWEN_THREAD *thr)
GWENHYWFAR_API void | GWEN_Thread_SubFlags (GWEN_THREAD *thr, uint32_t flags)

## Macro Definition Documentation

## GWEN_THREAD_FLAGS_DETACHED

#define GWEN_THREAD_FLAGS_DETACHED 0x00000001

Definition at line 37 of file gwenthread.h.

## Typedef Documentation

## GWEN_THREAD

typedef struct GWEN_THREAD GWEN_THREAD

Definition at line 45 of file gwenthread.h.

## GWEN_THREAD_RUN_FN

typedef GWENHYWFAR_CB void(* GWEN_THREAD_RUN_FN) (GWEN_THREAD *thr)

Definition at line 50 of file gwenthread.h.

## Function Documentation

## GWEN_Thread_AddFlags()

GWENHYWFAR_API void GWEN_Thread_AddFlags | ( | GWEN_THREAD * | thr,
|  | uint32_t | flags )

References GWEN_Thread_AddFlags(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_AddFlags().

## GWEN_Thread_free()

GWENHYWFAR_API void GWEN_Thread_free | ( | GWEN_THREAD * | thr | ) |

References GWEN_Thread_free(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_free().

## GWEN_Thread_GetFlags()

GWENHYWFAR_API uint32_t GWEN_Thread_GetFlags | ( | const GWEN_THREAD * | thr | ) |

References GWEN_Thread_GetFlags(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_GetFlags().

## GWEN_Thread_Join()

GWENHYWFAR_API int GWEN_Thread_Join | ( | GWEN_THREAD * | thr | ) |

References GWEN_Thread_Join(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_Join().

## GWEN_Thread_new()

GWENHYWFAR_API GWEN_THREAD * GWEN_Thread_new | ( |  | ) |

References GWEN_Thread_new(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_new().

## GWEN_Thread_SetFlags()

GWENHYWFAR_API void GWEN_Thread_SetFlags | ( | GWEN_THREAD * | thr,
|  | uint32_t | flags )

References GWEN_Thread_SetFlags(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_SetFlags().

## GWEN_Thread_SetRunFn()

GWENHYWFAR_API GWEN_THREAD_RUN_FN GWEN_Thread_SetRunFn | ( | GWEN_THREAD * | thr,
|  | GWEN_THREAD_RUN_FN | fn )

References GWEN_Thread_SetRunFn(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_SetRunFn().

## GWEN_Thread_Start()

GWENHYWFAR_API int GWEN_Thread_Start | ( | GWEN_THREAD * | thr | ) |

References GWEN_Thread_Start(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_Start().

## GWEN_Thread_SubFlags()

GWENHYWFAR_API void GWEN_Thread_SubFlags | ( | GWEN_THREAD * | thr,
|  | uint32_t | flags )

References GWEN_Thread_SubFlags(), and GWENHYWFAR_API.

Referenced by GWEN_Thread_SubFlags().